package com.hxhq.business.form.gsp;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 供试品-解档
 * @author 15881
 */
public class GspJdForm {

    /** 供试品id */
    @NotNull(message = "请选择操作对象")
    private Long id;

    /** 备注 */
    private String remark;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    @NotEmpty(message = "请输入密码")
    private String qmrmm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
